#include "EventAction.hh"

#include "G4Event.hh"
#include "G4ios.hh"

//....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
 
EventAction::EventAction()
{}

//....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
 
EventAction::~EventAction()
{}

//....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
 
void EventAction::BeginOfEventAction(const G4Event* evt)
{
  G4int event_id = evt->GetEventID();

  if(event_id%10 == 0) 
    G4cout << "Starting event number " << event_id << G4endl;

  if(event_id == 0) return;

  if(event_id%10 == 0)
    G4cout << ">>> 10 events have been simulated since the last message" << G4endl;

}

//....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
 
void EventAction::EndOfEventAction(const G4Event* evt)
{
  G4int event_id = evt->GetEventID();
 
  if (event_id%10 == 0) 
    G4cout << ">>> NUMBER OF PRIMARY PARTICLES ALREADY SIMULATED: " << event_id + 1 << G4endl << G4endl;
}

//....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
